Skip to content
vocapable.Docs

Change a task's title, due time or owner

PATCH
/v1/workspace/tasks/{task_id}
curl --request PATCH \
--url https://api.vocapable.com/v1/workspace/tasks/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "title": "example", "due_at": "2026-04-15T12:00:00Z", "owner_user_id": "example" }'
task_id
required
Task Id
string
Media typeapplication/json
WorkspaceTaskUpdate
object
expected_revision
required
Expected Revision
integer
>= 1
title
Any of:
string
>= 1 characters <= 300 characters
due_at
Any of:
string format: date-time
owner_user_id
Any of:
string
Examplegenerated
{
"expected_revision": 1,
"title": "example",
"due_at": "2026-04-15T12:00:00Z",
"owner_user_id": "example"
}

Successful Response

Media typeapplication/json
WorkspaceTask
object
id
required
Id
string
kind
required
Kind
string
Allowed values: follow_up callback delivery review case_response meeting_prep
title
required
Title
string
organization_id
required
Any of:
string
contact_id
required
Any of:
string
opportunity_id
required
Any of:
string
subject_type
required
Any of:
string
Allowed values: handoff case meeting approval call quote
subject_id
required
Any of:
string
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
due_at
required
Any of:
string format: date-time
status
required
Status
string
Allowed values: open done cancelled
completed_at
required
Any of:
string format: date-time
completed_by_user_id
required
Any of:
string
completion_note
required
Any of:
string
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"kind": "follow_up",
"subject_type": "handoff",
"status": "open"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}